:root {
  --burger-height: 15px;
  --burger-width: 15px;
}

#Hamburger {
  cursor: pointer;
  display: inline-block;
  height: var(--burger-height);
  left: 0;
  position: relative;
  transform: rotate(0deg);
  transition: left 0.25s ease-in-out;
  width: var(--burger-width);
  & span {
    background: white;
    border-radius: calc(var(--burger-height) / 5);
    display: block;
    height: 2px;
    left: 0;
    opacity: 1;
    position: absolute;
    transform: rotate(0deg);
    transition: left 0.25s ease-in-out, top 0.25s ease-in-out, transform 0.25s ease-in-out, width 0.25s ease-in-out;
    width: 100%;
  }
  & span:nth-child(1) {
    top: 0;
  }
  & span:nth-child(2), & span:nth-child(3) {
    top: calc(var(--burger-height) / 2.5);
  }
  & span:nth-child(4) {
    top: calc(var(--burger-height) / 1.25);
  }
  &.open {
    left: 260px;
    transition: left 0.25s ease-in-out 0.025s;
  }
  &.open span:nth-child(1), &.open span:nth-child(4) {
    top: calc(var(--burger-height) / 2.5);
    width: 0%;
    left: 50%;
  }
  &.open span:nth-child(2) {
    transform: rotate(45deg);
  }
  &.open span:nth-child(3) {
    transform: rotate(-45deg);
  }
}
